### Method

# GExiv2 Metadata open_buf

#### Declaration [src]

    gboolean
    gexiv2_metadata_open_buf (
      GExiv2Metadata* self,
      const guint8* data,
      glong n_data,
      GError** error
    )

#### Description [src]

Populate metadata from a memory buffer.

The buffer must be an image format supported by Exiv2. If called multiple times, current metadata will be replaced by the content of the last file opened.

When called on an already filled meta-data object (i.e. one that has already been filled by a previous call of `gexiv2_metadata_open_path()`) and the opening of the new path fails, the object will not revert to its previous state but be in a similar state after calling GExiv2.Metadata.new.

#### Parameters

`data`

  Type: An array of `guint8`

  A buffer containing the data to be read.

  The length of the array is specified in the `n_data` argument.
  The data is owned by the caller of the method.

`n_data`

  Type: `glong`

  The length of the buffer.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Boolean success indicator.